# Uses of Enum Class io.papermc.paper.event.player.PlayerLecternPageChangeEvent.PageChangeDirection (Scissors-API 1.19-R0.1-SNAPSHOT API)
use: package: io.papermc.paper.event.player, class: PlayerLecternPageChangeEvent, enum: PageChangeDirection

# Uses of Enum Class
io.papermc.paper.event.player.PlayerLecternPageChangeEvent.PageChangeDirection

Packages that use PlayerLecternPageChangeEvent.PageChangeDirection
Package
Description
io.papermc.paper.event.player

## Uses of PlayerLecternPageChangeEvent.PageChangeDirection in io.papermc.paper.event.player

Methods in io.papermc.paper.event.player that return PlayerLecternPageChangeEvent.PageChangeDirection
Modifier and Type
Method
Description
`@NotNull PlayerLecternPageChangeEvent.PageChangeDirection`
PlayerLecternPageChangeEvent.`getPageChangeDirection()`
Gets the page change direction.
`static PlayerLecternPageChangeEvent.PageChangeDirection`
PlayerLecternPageChangeEvent.PageChangeDirection.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PlayerLecternPageChangeEvent.PageChangeDirection[]`
PlayerLecternPageChangeEvent.PageChangeDirection.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in io.papermc.paper.event.player with parameters of type PlayerLecternPageChangeEvent.PageChangeDirection
Modifier
Constructor
Description
``
`PlayerLecternPageChangeEvent(@NotNull Player player, @NotNull Lectern lectern, @NotNull ItemStack book, @NotNull PlayerLecternPageChangeEvent.PageChangeDirection pageChangeDirection, int oldPage, int newPage)`